Skip to main content

Create Conversation Tracker

Creates a new conversation tracker for a specific platform.

Endpoint​

POST /api/conversation-trackers/{platform}

Path Parameters​

ParameterTypeDescription
platformstringThe platform to create the tracker for (reddit or hn)

Request Body​

Required Parameters​

Column nameTypeDescription
urlstringThe URL of the conversation to track. For Reddit, it should start with https://www.reddit.com/ and contain /comment. For Hacker News, it should start with https://news.ycombinator.com/item?id=.

Optional Parameters​

Column nameTypeDescription
api_webhook_urlstringURL to send webhook notifications to.
slack_webhook_urlstringSlack webhook URL for notifications.
enabledbooleanWhether the tracker should be active. Use "true" or "false".

Response​

Returns a JSON object containing the created conversation tracker details.

Example Request​

curl -X POST "https://api.kwatch.io/api/conversation-trackers/reddit" \
-H "Authorization: Bearer your-api-key-here" \
-H "Content-Type: application/json" \
-d '{
"url": "https://www.reddit.com/r/technology/comments/abc123/some_post/comment/xyz789/",
"enabled": true,
"api_webhook_url": "https://example.com/webhook",
"slack_webhook_url": "https://hooks.slack.com/..."
}'

Example Response​

{
"id": 1,
"enabled": true,
"created_at": "2026-02-23T12:13:28.081057+01:00",
"updated_at": "2026-02-23T12:13:28.081057+01:00",
"url": "https://www.reddit.com/r/technology/comments/abc123/some_post/comment/xyz789/",
"api_webhook_url": "https://example.com/webhook",
"slack_webhook_url": "https://hooks.slack.com/..."
}